<template>
  <v-app dark>
    <Header />
    <nuxt />
    <Footer />
  </v-app>
</template>

<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";
import { NamedChunksPlugin } from "webpack";
import { api } from "~/common/constaint";
import CartModule from "~/store/cart";
import PromotionModule from "~/store/promotion";
import { apiErrorHandler } from "~/utils/apiHanlers";
@Component({
  components: {
    Header: () => import("@/components/Header/index.vue"),
    Footer: () => import("@/components/Footer/index.vue"),
  },
})
export default class DefaultLayout extends Vue {
  cart = getModule(CartModule, this.$store);
  promotion = getModule(PromotionModule, this.$store);

  head() {
    return {
      title:
        this.$store.state.setting.siteInfo &&
        this.$store.state.setting.siteInfo.webTitle,
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${api}/${
            this.$store?.state?.setting?.siteInfo?.logo?.imageUrl || ""
          }`,
        },
      ],
    };
  }

  get convertImage() {
    const siteInfo = this.$store.state.setting.siteInfo;
    if (siteInfo && siteInfo.logo) {
      return `${api}/${siteInfo.logo}`;
    }
    return "";
  }
}
</script>
